*This procedure has been adopted from the Ada Initiative's guide titled "[Conference anti-harassment/Responding to Reports](http://geekfeminism.wikia.com/wiki/Conference_anti-harassment/Responding_to_reports)".*

Be sure to have a good understanding of our Code of Conduct policy, which can be found here: [https://northbaypython.org/code-of-conduct](/code-of-conduct)

Also have a good understanding of what is expected from an attendee that wants to report a harassment incident. These guidelines can be found here: [https://northbaypython.org/code-of-conduct/harassment-incidents](/code-of-conduct/harassment-incidents)

Try to get as much of the incident in written form by the reporter. If you cannot, transcribe it yourself as it was told to you. The important information to gather include the following:

 - Identifying information (name/badge number) of the participant doing the harassing
 - The behavior that was in violation
 - The approximate time of the behavior (if different than the time the report was made)
 - The circumstances surrounding the incident
 - Other people involved in the incident

Prepare an initial response to the incident. This initial response is very important and will set the tone for North Bay Python. Depending on the severity/details of the incident, please follow these guidelines:

 - If there is any general threat to attendees or the safety of anyone including conference staff is in doubt, summon security or police
 - Offer the victim a private place to sit
 - Ask "is there a friend or trusted person who you would like to be with you?" (if so, arrange for someone to fetch this person)
 - Ask them "how can I help?"
 - Provide them with your list of emergency contacts if they need help later
 - If everyone is presently physically safe, involve law enforcement or security only at a victim's request

There are also some guidelines as to what not to do as an initial response:

 - Do not overtly invite them to withdraw the complaint or mention that withdrawal is OK. This suggests that you want them to do so, and is therefore coercive. "If you're OK with it [pursuing the complaint]" suggests that you are by default pursuing it and is not coercive.
 - Do not ask for their advice on how to deal with the complaint. This is a staff responsibility.
 - Do not offer them input into penalties. This is the staff's responsibility.

Once something is reported to a staff member, immediately meet with the conference chair and/or event coordinator. The main objectives of this meeting is to find out the following:

 - What happened?
 - Are we doing anything about it?
 - Who is doing those things?
 - When are they doing them?

After the staff meeting and discussion, have a staff member (preferably the conference chair or event coordinator if available) communicate with the alleged harasser. Make sure to inform them of what has been reported about them.

Allow the alleged harasser to give their side of the story to the staff. After this point, if the report stands, let the alleged harasser know what actions will be taken against them.

Some things for the staff to consider when dealing with Code of Conduct offenders:

- Warning the harasser to cease their behavior and that any further reports will result in sanctions
- Requiring that the harasser avoid any interaction with, and physical proximity to, their victim for the remainder of the event
- Ending a talk that violates the policy early
- Not publishing the video or slides of a talk that violated the policy
- Not allowing a speaker who violated the policy to give (further) talks at the event now or in the future
- Immediately ending any event volunteer responsibilities and privileges the harasser holds
- Requiring that the harasser not volunteer for future events your organization runs (either indefinitely or for a certain time period)
- Requiring that the harasser refund any travel grants and similar they received (this would need to be a condition of the grant at the time of being awarded)
- Requiring that the harasser immediately leave the event and not return
- Banning the harasser from future events (either indefinitely or for a certain time period)
- Removing a harasser from membership of relevant organizations
- Publishing an account of the harassment and calling for the resignation of the harasser from their responsibilities (usually pursued by people without formal authority: may be called for if the harasser is the event leader, or refuses to stand aside from the conflict of interest, or similar, typically event staff have sufficient governing rights over their space that this isn't as useful)

Give accused attendees a place to appeal to if there is one, but in the meantime the report stands. Keep in mind that it is not a good idea to encourage an apology from the harasser.

It is very important how we deal with the incident publicly. Our policy is to make sure that everyone aware of the initial incident is also made aware that it is not according to policy and that official action has been taken - while still respecting the privacy of individual attendees.  When speaking to individuals (those who are aware of the incident, but were not involved with the incident) about the incident it is a good idea to keep the details out.

Depending on the incident, the conference chair, or designate, may decide to make one or more public announcements. If necessary, this will be done with a short announcement either during the plenary and/or through other channels. No one other than the conference chair or someone delegated authority from the conference chair should make any announcements. No personal information about either party will be disclosed as part of this process.

If some attendees were angered by the incident, it is best to apologize to them that the incident occurred to begin with.  If there are residual hard feelings, suggest to them to write an email to the conference chair or to the event coordinator. It will be dealt with accordingly.

A listing of [North Bay Python staff is located here](/about/team), including contact phone numbers. If at all possible, all reports should be made directly to conference chair [Christopher Neugebauer](mailto:chrisjrn@northbaypython.org).